﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Drvece
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(600, 300);
            Text = "Drveće";
            BackColor = Color.SkyBlue;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush zelenaCetka = new SolidBrush(Color.DarkGreen);
            Brush braonCetka = new SolidBrush(Color.Brown);

            int yHorizont = ClientSize.Height * 3 / 4;
            g.FillRectangle(zelenaCetka, 0, yHorizont, ClientSize.Width, ClientSize.Height - yHorizont); // trava

            for (int i = 0; i < 6; i++)
            {
                g.FillRectangle(braonCetka, 100 * i + 40, 180, 20, 100); // stablo
                g.FillEllipse(zelenaCetka, 100 * i + 10, 50, 80, 150);   // krosnja
            }
        }
    }
}
