﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Krugovi
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Krugovi";
            BackColor = Color.White;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Pen olovka = new Pen(Color.Red, 2);
            int brKrugova = (int)nBrojKrugova.Value;
            int cx = ClientSize.Width / 2;
            int cy = ClientSize.Height / 2;
            float rKorak = ClientSize.Width / (2.0f * brKrugova);
            for (int i = 1; i <= brKrugova; i++)
            {
                int r = (int)(0.5f + i * rKorak);
                g.DrawEllipse(olovka, cx - r, cy - r, 2 * r, 2 * r);
            }
        }

        private void nBrojKrugova_ValueChanged(object sender, EventArgs e)
        {
            Invalidate();
        }
    }
}
