﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rajsferslus
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(100, 600);
            Text = "Rajsferšlus";
            BackColor = Color.Blue;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Pen olovka = new Pen(Color.Yellow, 6);

            int duzinaLinije = 50; //    # duzina linije rajsferslusa
            int razmakSaStrana = 15; // # do leve i desne ivice prozora
            int razmakGoreDole = 20; // # do gornje i donje ivice prozora
            int razmakIzmedjuLinija = 15; // # izmedju linija rasjferslusa
                                          // x koordinate pocetaka linija sa leve i desne strane
            int xLevo = razmakSaStrana;
            int xDesno = ClientSize.Width - razmakSaStrana - duzinaLinije;

            // koordinate pocetka tekuce linije
            int xPoc = xLevo;
            int y = razmakGoreDole;
            while (y < ClientSize.Height - razmakGoreDole)
            {
                int xKraj = xPoc + duzinaLinije;
                g.DrawLine(olovka, xPoc, y, xKraj, y);

                // pripremamo crtanje sledece linije
                y += razmakIzmedjuLinija; //y je zadati broj piksela nize
                if (xPoc == xLevo) // xPoc je suprotno od prethodnog
                    xPoc = xDesno;
                else
                    xPoc = xLevo;
            }
        }
    }
}
/*

*/
