﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SahTabla
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Text = "Šahovska tabla";
            BackColor = Color.Gray;
            ResizeRedraw = true; // forsira iscrtavanje cele forme pri njenom povecanju 
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush cetka = new SolidBrush(Color.Black);

            // dimenzije table i polja
            int brojPolja = 8;
            float sirinaPolja = (float)ClientSize.Width / brojPolja;
            float visinaPolja = (float)ClientSize.Height / brojPolja;

            // prolazimo kroz sva polja
            for (int i = 0; i < brojPolja; i++)
            {
                for (int j = 1 - i % 2; j < brojPolja; j += 2)
                {
                    // bojimo crna polja
                    g.FillRectangle(cetka, i * sirinaPolja, j * visinaPolja, sirinaPolja, visinaPolja);
                }
            }
        }
    }
}
/*

*/
