﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NepomicnaKucica
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Kuća";
            BackColor = Color.DarkGreen;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush braonCetka = new SolidBrush(Color.Brown);
            Brush kakiCetka = new SolidBrush(Color.Khaki);
            Brush crvenaCetka = new SolidBrush(Color.Red);
            Point[] krov = new Point[] { new Point(50, 150), new Point(120, 100), new Point(190, 150) };


            g.FillPolygon(crvenaCetka, krov); // krov
            g.FillRectangle(kakiCetka, 50, 150, 140, 100);  // kuca
            g.FillRectangle(braonCetka, 60, 170, 30, 30);   // levi prozor
            g.FillRectangle(braonCetka, 150, 170, 30, 30);  // desni prozor
            g.FillRectangle(braonCetka, 100, 180, 40, 70);  // vrata
        }
    }
}
