﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Oblaci
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(400, 400);
            Text = "Oblaci";
            BackColor = Color.SkyBlue;
        }


        // Funkcija koja crta oblak na datoj poziciji, u datoj nijansi sive boje
        private void Oblak(Graphics g, int xc, int yc, int siva)
        {
            Color boja = Color.FromArgb(siva, siva, siva);
            Brush cetka = new SolidBrush(boja);
            // crtamo oblak od tri kruga
            g.FillEllipse(cetka, xc - 50, yc - 50, 100, 100);
            g.FillEllipse(cetka, xc - 80, yc - 30, 60, 60);
            g.FillEllipse(cetka, xc + 20, yc - 30, 60, 60);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush zutaCetka = new SolidBrush(Color.Yellow);

            // crtamo sunce
            g.FillEllipse(zutaCetka, 20, 50, 160, 160);
            Oblak(g, 240, 200, 180);
            Oblak(g, 270, 250, 210);
            Oblak(g, 230, 100, 230);
            Oblak(g, 80, 80, 190);
            Oblak(g, 110, 320, 255);
        }
    }
}
/*

*/
