﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PomicnaKucica
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(500, 300);
            Text = "Kuće";
            BackColor = Color.DarkGreen;
        }

        private void Kuca(Graphics g, int x, int y, Color bojaZidova)
        {
            Brush cetka = new SolidBrush(Color.Brown);
            Brush cetkaZaKrov = new SolidBrush(Color.Red);
            Point[] krov = new Point[] { new Point(x, y), new Point(x + 70, y - 50), new Point(x + 140, y) };
            g.FillPolygon(cetkaZaKrov, krov);  // krov
            g.FillRectangle(new SolidBrush(bojaZidova), x, y, 140, 100); // kuca - zidovi
            g.FillRectangle(cetka, x + 10, y + 20, 30, 30);  // levi prozor
            g.FillRectangle(cetka, x + 100, y + 20, 30, 30); // desni prozor
            g.FillRectangle(cetka, x + 50, y + 30, 40, 70);  // vrata
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Kuca(g, 150, 90, Color.FromArgb(220, 220, 220));
            Kuca(g, 220, 130, Color.White);
            Kuca(g, 350, 160, Color.FromArgb(255, 255, 150));
            Kuca(g, 50, 150, Color.Khaki);
        }
    }
}
