﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PomicniMeda1a
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(500, 300);
            Text = "Meda";
            BackColor = Color.White;
        }

        private void UokvirenKrug(Graphics g, Color boja, int cx, int cy, int r)
        {
            g.FillEllipse(new SolidBrush(boja), cx - r, cy - r, 2 * r, 2 * r);
            g.DrawEllipse(new Pen(Color.Black), cx - r, cy - r, 2 * r, 2 * r);
        }

        private void CrtajMedu(Graphics g, int cx, int cy)
        {
            UokvirenKrug(g, Color.Yellow, cx - 60, cy - 70, 45); // levo uvo
            UokvirenKrug(g, Color.Yellow, cx + 60, cy - 70, 45); // desno uvo
            UokvirenKrug(g, Color.Yellow, cx, cy, 100); // glava
            UokvirenKrug(g, Color.Yellow, cx, cy + 50, 50); // njuska
            UokvirenKrug(g, Color.Black, cx - 50, cy - 30, 15); // levo oko
            UokvirenKrug(g, Color.Black, cx + 50, cy - 30, 15); // desno oko
            UokvirenKrug(g, Color.Black, cx, cy + 20, 15); // vrh njuske
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            CrtajMedu(e.Graphics, ClientSize.Width/2, ClientSize.Height / 2);
        }
    }
}
