﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KucaVelicina
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(500, 300);
            Text = "Kuće";
            BackColor = Color.DarkGreen;
        }

        private void Kuca(Graphics g, int x, int y, int a, Color bojaZidova)
        {
            Brush cetka = new SolidBrush(Color.Brown);
            Brush cetkaZaKrov = new SolidBrush(Color.Red);
            Point[] krov = new Point[] { new Point(x, y), new Point(x + 7 * a, y - 5 * a), new Point(x + 14 * a, y) };
            g.FillPolygon(cetkaZaKrov, krov);  // krov
            g.FillRectangle(new SolidBrush(bojaZidova), x, y, 14 * a, 10 * a); // kuca - zidovi
            g.FillRectangle(cetka, x + 1 * a, y + 2 * a, 3 * a, 3 * a);  // levi prozor
            g.FillRectangle(cetka, x + 10 * a, y + 2 * a, 3 * a, 3 * a); // desni prozor
            g.FillRectangle(cetka, x + 5*a, y + 3*a, 4 * a, 7 * a);  // vrata
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Kuca(g, 150,  90,  8, Color.FromArgb(220, 220, 220));
            Kuca(g, 250, 130,  9, Color.White);
            Kuca(g, 350, 160, 10, Color.FromArgb(255, 255, 150));
            Kuca(g,  50, 150, 10, Color.Khaki);

            //Kuca(g, 278, 110, 1, Color.FromArgb(211, 207, 169));
            //Kuca(g, 231, 119, 2, Color.FromArgb(217, 211, 164));
            //Kuca(g, 174, 130, 3, Color.FromArgb(228, 221, 152));
            //Kuca(g, 112, 142, 4, Color.FromArgb(231, 222, 150));
            //Kuca(g,  18, 160, 6, Color.FromArgb(240, 230, 140));
        }
    }
}
