﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Antena
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Antena";
            BackColor = Color.SkyBlue;
        }

        private void AntenaPrviNacin(Graphics g)
        {
            g.DrawLine(new Pen(Color.Black, 4), 150, 50, 150, 250);
            double debljina = 1.0;
            int x1 = 120, x2 = 180, y = 75;
            for (int i = 0; i < 6; i++)
            {
                g.DrawLine(new Pen(Color.Black, (int)debljina), x1, y, x2, y);
                x1 -= 10;
                x2 += 10;
                y += 25;
                debljina += 0.5;
            }
        }

        private void AntenaDrugiNacin(Graphics g)
        {
            g.DrawLine(new Pen(Color.Black, 4), 150, 50, 150, 250);
            for (int i = 0; i < 6; i++)
                g.DrawLine(new Pen(Color.Black, 1 + i / 2), 120 - 10 * i, 75 + 25 * i, 180 + 10 * i, 75 + 25 * i);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            //AntenaPrviNacin(g);
            AntenaDrugiNacin(g);
        }
    }
}
