﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Ograda
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Ograda";
            BackColor = Color.SkyBlue;
        }

        private void CrtajUvecanMnogougao(Graphics g, Point[] temena, Color boja, int x0, int y0)
        {
            Point[] pomerenaTemena = new Point[temena.Length];
            for (int i = 0; i < temena.Length; i++)
                pomerenaTemena[i] = new Point(temena[i].X + x0, temena[i].Y + y0);

            g.FillPolygon(new SolidBrush(boja), pomerenaTemena);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush zelenaCetka = new SolidBrush(Color.DarkGreen);
            Brush braonCetka = new SolidBrush(Color.Brown);
            Pen braonOlovka = new Pen(Color.Brown, 10);

            int yHorizont = ClientSize.Height * 2 / 3;
            g.FillRectangle(zelenaCetka, 0, yHorizont, ClientSize.Width, ClientSize.Height - yHorizont); // trava
            g.DrawLine(braonOlovka, 10, 100, 290, 100);
            g.DrawLine(braonOlovka, 10, 250, 290, 250);

            Point[] pritka = new Point[] {
                new Point(0, 80), new Point(10, 70), new Point(20, 80), new Point(20, 270), new Point(0, 270)
            };
            for (int x0 = 20; x0 < ClientSize.Width; x0 += 40)
                CrtajUvecanMnogougao(g, pritka, Color.Brown, x0, 0);
        }
    }
}
