﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Strelice
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Text = "Strelice";
            BackColor = Color.White;
        }

        private void CrtajMnogougao(Graphics g, Point[] temena, Color boja, int x0, int y0)
        {
            Point[] pomerenaTemena = new Point[temena.Length];
            for (int i = 0; i < temena.Length; i++)
                pomerenaTemena[i] = new Point(temena[i].X + x0, temena[i].Y + y0);

            g.FillPolygon(new SolidBrush(boja), pomerenaTemena);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;

            Point[] strelica = new Point[] {
                new Point(0, 10), new Point(40, 10), new Point(40, 0), new Point(60, 20),
                new Point(40, 40), new Point(40, 30), new Point(0, 30),
            };

            int aStrelice = 60, hStrelice = 40;
            for (int y = 0; y < ClientSize.Height; y += hStrelice)
                for (int x = 0; x < ClientSize.Width; x += aStrelice)
                    CrtajMnogougao(g, strelica, Color.Black, x, y);
        }
    }
}
