﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Parket
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Parket";
            BackColor = Color.Goldenrod;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Pen olovka = new Pen(Color.Brown);
            int a = 10; // sirina dascice
            int b = 6 * a; // duzina dascice
            int brKvadrataX = 1 + ClientSize.Width / b;
            int brKvadrataY = 1 + ClientSize.Height / b;
            for (int red = 0; red < brKvadrataY; red++)
            {
                for (int kolona = 0; kolona < brKvadrataX; kolona++)
                {
                    int x0 = kolona * b;
                    int y0 = red * b;
                    if ((red + kolona) % 2 == 0)
                        for (int i = 0; i < 6; i++)
                            g.DrawRectangle(olovka, x0 + i * a, y0, a, b);
                    else
                        for (int i = 0; i < 6; i++)
                            g.DrawRectangle(olovka, x0, y0 + i * a, b, a);
                }
            }
        }
    }
}
