﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sace
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Saće";
            BackColor = Color.Green;
        }

        private void CrtajMnogougao(Graphics g, Point[] temena, Color boja, int x0, int y0)
        {
            Point[] pomerenaTemena = new Point[temena.Length];
            for (int i = 0; i < temena.Length; i++)
                pomerenaTemena[i] = new Point(temena[i].X + x0, temena[i].Y + y0);

            g.FillPolygon(new SolidBrush(boja), pomerenaTemena);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Point[] sestougao = new Point[] {
                new Point(10, 0), new Point(30, 0), new Point(40, 17),
                new Point(30, 34), new Point(10, 34), new Point(0, 17)
            };
            for (int y0 = -17; y0 < ClientSize.Height; y0 += 102)
            {
                for (int x0 = -10; x0 < ClientSize.Width; x0 += 60)
                {
                    CrtajMnogougao(g, sestougao, Color.Blue, x0, y0);
                    CrtajMnogougao(g, sestougao, Color.Yellow, x0, y0 + 34);
                    CrtajMnogougao(g, sestougao, Color.Green, x0, y0 + 68);
                    CrtajMnogougao(g, sestougao, Color.Green, x0 + 30, y0 + 17);
                    CrtajMnogougao(g, sestougao, Color.Blue, x0 + 30, y0 + 51);
                    CrtajMnogougao(g, sestougao, Color.Yellow, x0 + 30, y0 + 85);
                }
            }
        }
    }
}
