﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kucica
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Kućica";
            BackColor = Color.White;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush zutaCetka = new SolidBrush(Color.Yellow);
            Brush crvenaCetka = new SolidBrush(Color.Red);
            Brush neboPlavaCetka = new SolidBrush(Color.SkyBlue);
            Brush braonCetka = new SolidBrush(Color.Brown);
            Pen olovka = new Pen(Color.Black);
            Point[] krov = new Point[] { new Point(60, 120), new Point(150, 20), new Point(240, 120) };

            g.FillRectangle(zutaCetka, 60, 120, 180, 160);     // zidovi kuce
            g.FillPolygon(crvenaCetka, krov);                  // krov
            g.FillRectangle(neboPlavaCetka, 80, 140, 50, 50);  // levi prozor
            g.DrawLine(olovka, 80, 165, 130, 165);             // leva vodoravna lajsna
            g.DrawLine(olovka, 105, 140, 105, 190);            // leva uspravna lajsna
            g.FillRectangle(neboPlavaCetka, 170, 140, 50, 50); // desni prozor
            g.DrawLine(olovka, 170, 165, 220, 165);            // desna vodoravna lajsna
            g.DrawLine(olovka, 195, 140, 195, 190);            // desna uspravna lajsna
            g.FillRectangle(braonCetka, 120, 200, 60, 80);     // vrata
        }
    }
}
/*
*/
