﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Meda
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(500, 300);
            Text = "Meda";
            BackColor = Color.White;
        }

        private void UokvirenKrug(Graphics g, Color boja, int cx, int cy, int r)
        {
            g.FillEllipse(new SolidBrush(boja), cx-r, cy-r, 2*r, 2*r);
            g.DrawEllipse(new Pen(Color.Black), cx - r, cy - r, 2 * r, 2 * r);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            UokvirenKrug(g, Color.Yellow, 190, 80, 45); // levo uvo
            UokvirenKrug(g, Color.Yellow, 310, 80, 45); // desno uvo
            UokvirenKrug(g, Color.Yellow, 250, 150, 100); // glava
            UokvirenKrug(g, Color.Yellow, 250, 200, 50); // njuska
            UokvirenKrug(g, Color.Black, 200, 120, 15); // levo oko
            UokvirenKrug(g, Color.Black, 300, 120, 15); // desno oko
            UokvirenKrug(g, Color.Black, 250, 170, 15); // vrh njuske
        }
    }
}
