﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MedeVelicina
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Mede";
            BackColor = Color.White;
        }

        private void UokvirenKrug(Graphics g, Color boja, int cx, int cy, int r)
        {
            g.FillEllipse(new SolidBrush(boja), cx - r, cy - r, 2 * r, 2 * r);
            g.DrawEllipse(new Pen(Color.Black), cx - r, cy - r, 2 * r, 2 * r);
        }

        private void CrtajMedu(Graphics g, int cx, int cy, int a)
        {
            UokvirenKrug(g, Color.Yellow, cx - 12 * a, cy - 14 * a, 9 * a); // levo uvo
            UokvirenKrug(g, Color.Yellow, cx + 12 * a, cy - 14 * a, 9 * a); // desno uvo
            UokvirenKrug(g, Color.Yellow, cx, cy, 20 * a); // glava
            UokvirenKrug(g, Color.Yellow, cx, cy + 10 * a, 10 * a); // njuska
            UokvirenKrug(g, Color.Black, cx - 10 * a, cy - 6 * a, 3 * a); // levo oko
            UokvirenKrug(g, Color.Black, cx + 10 * a, cy - 6 * a, 3 * a); // desno oko
            UokvirenKrug(g, Color.Black, cx, cy + 4 * a, 3 * a); // vrh njuske
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            CrtajMedu(g, 85, 100, 4);
            CrtajMedu(g, 235, 100, 3);
            CrtajMedu(g, 50, 250, 2);
            CrtajMedu(g, 150, 250, 2);
            CrtajMedu(g, 250, 250, 2);
        }
    }
}
