﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SahPocetna
{
    public partial class Form1 : Form
    {
        Image slTabla = Properties.Resources.SahTabla;
        Image[] slFigura = new Image[] {
            Properties.Resources.BeliKralj, Properties.Resources.BelaDama, Properties.Resources.BeliTop,
            Properties.Resources.BeliLovac, Properties.Resources.BeliSkakac, Properties.Resources.BeliPesak,
            Properties.Resources.CrniKralj, Properties.Resources.CrnaDama, Properties.Resources.CrniTop,
            Properties.Resources.CrniLovac, Properties.Resources.CrniSkakac, Properties.Resources.CrniPesak
        };
        const int pp = -1, bK = 0, bD = 1, bT = 2, bL = 3, bS = 4, bP = 5;
        const int cK = 6, cD = 7, cT = 8, cL = 9, cS = 10, cP = 11;

        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(400, 400);
            Text = "Šah";
            BackColor = Color.Gray;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            int[,] polje = 
            {
                { bT, bS, bL, bD, bK, bL, bS, bT },
                { bP, bP, bP, bP, bP, bP, bP, bP },
                { pp, pp, pp, pp, pp, pp, pp, pp },
                { pp, pp, pp, pp, pp, pp, pp, pp },
                { pp, pp, pp, pp, pp, pp, pp, pp },
                { pp, pp, pp, pp, pp, pp, pp, pp },
                { cP, cP, cP, cP, cP, cP, cP, cP },
                { cT, cS, cL, cD, cK, cL, cS, cT }
            };
            g.DrawImage(slTabla, 0, 0);
            for (int red = 0; red < 8; red++)
            {
                for (int kol = 0; kol < 8; kol++)
                {
                    int fig = polje[red, kol];
                    if (fig >= 0)
                        g.DrawImage(slFigura[fig], kol * 50, (7 - red) * 50);
                }
            }
        }
    }
}
