﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Vocnjak
{
    public partial class Form1 : Form
    {
        Image slJabuka = Properties.Resources.jabuka;
        Image slDrvo = Properties.Resources.drvo;
        Random rnd = new Random();

        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(600, 400);
            Text = "Voćnjak";
            BackColor = Color.DarkGreen;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            // https://www.youtube.com/watch?v=LQMDsJgMXhE
            Graphics g = e.Graphics;
            Point[] pozJabuke = new Point[] {
                new Point(33, 131), new Point(51, 98),new Point(73, 108),
                new Point(114, 85), new Point(124, 115), new Point(150, 120) };
            Point[] pozDrveta = new Point[] {
                new Point(100, 0), new Point(20, 80), new Point(380, 25), new Point(300, 110), new Point(165, 155)};
            foreach (var mestoZaDrvo in pozDrveta)
            {
                g.DrawImage(slDrvo, mestoZaDrvo);
                foreach (var mestoZaJabuku in pozJabuke)
                    g.DrawImage(slJabuka, 
                        mestoZaDrvo.X + mestoZaJabuku.X + rnd.Next(-15, 15),
                        mestoZaDrvo.Y + mestoZaJabuku.Y + rnd.Next(-15, 15));
            }
        }
    }
}
